%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate rkyv_derive

Name:           rust-rkyv_derive
Version:        0.7.44
Release:    1%{?dist}
Summary:        Derive macro for rkyv

License:        MIT
URL:            https://crates.io/crates/rkyv_derive
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Derive macro for rkyv.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/src/serde/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary_enum_discriminant-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary_enum_discriminant-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary_enum_discriminant" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary_enum_discriminant-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+archive_be-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+archive_be-devel %{_description}

This package contains library source intended for building other packages which
use the "archive_be" feature of the "%{crate}" crate.

%files       -n %{name}+archive_be-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+archive_le-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+archive_le-devel %{_description}

This package contains library source intended for building other packages which
use the "archive_le" feature of the "%{crate}" crate.

%files       -n %{name}+archive_le-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+copy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+copy-devel %{_description}

This package contains library source intended for building other packages which
use the "copy" feature of the "%{crate}" crate.

%files       -n %{name}+copy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+strict-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+strict-devel %{_description}

This package contains library source intended for building other packages which
use the "strict" feature of the "%{crate}" crate.

%files       -n %{name}+strict-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.44-1
- initial build
